# Get Available Components

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Available Components"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/haystack/components"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns components available to be used in Haystack Enterprise Platform.

By default, it returns the components for the deepset domain.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The service domain to fetch components for.","in":"query","name":"domain","required":false,"schema":{"default":"deepset-cloud","description":"The service domain to fetch components for.","enum":["deepset-cloud","community"],"title":"ComponentDomain","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"component_schema":{"description":"Schema for all available haystack components.","title":"Haystack Component Schema","properties":{"definitions":{"description":"Definitions of the schema","properties":{"Components":{"additionalProperties":true,"description":"Components of the schema","title":"Components","type":"object"},"haystackTypes":{"additionalProperties":true,"description":"Types of the schema","title":"Haystacktypes","type":"object"}},"required":["Components","haystackTypes"],"title":"SchemaDefinitions","type":"object"},"properties":{"additionalProperties":true,"description":"Properties of the schema","title":"Properties","type":"object"},"required":{"description":"Required properties of the schema","items":{"type":"string"},"title":"Required","type":"array"},"type":{"default":"object","description":"Type of the schema","title":"Type","type":"string"}},"required":["properties","required","definitions"],"type":"object"}},"required":["component_schema"],"title":"HaystackComponentSchema","type":"object"}}},"description":"Schema for all available haystack components."},"404":{"description":"Schema not found."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
